{% extends 'base.html' %}
{% block title %}Mon profil{% endblock %}

{% load mathfilters %}

{% block body %}
    <div class="p-4">
        <h1 class="display-4">Bonjour, {{ user.username }} ! <span class="lead">Voici vos informations et vos différents projets</span>
        </h1>
        <p class="lead">Karma: {{ user.karma }}</p>
        <p class="lead mb-0">Vous êtes...</p>
        <div class="form-group" style="font-size: 1.4em">
            {% if user.is_staff == 1 %}
                <span class="badge badge-pill badge-danger">Staff</span>
            {% endif %}
            {% if user.financeur == 1 %}
                <span class="badge badge-pill badge-primary">Financeur</span>
            {% endif %}
            {% if user.evaluateur == 1 %}
                <span class="badge badge-pill badge-warning">Evaluateur</span>
            {% endif %}
            {% if user.porteur == 1 %}
                <span class="badge badge-pill badge-success">Porteur</span>
            {% endif %}
        </div>
        <p class="lead">Qu'est-ce que les autres voient sur moi ? <a href="/users/{{ user.id }}" class="btn btn-success">Voir mon profil public</a> </p>
        <form class="form-horizontal" role="form" action="" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                <label for="username">Pseudo</label>
                <input type="text" class="form-control" name="username" id="username" placeholder="username"
                       value="{{ user.username }}">
            </div>
            <div class="form-group">
                <label for="first_name">Prénom</label>
                <input type="text" class="form-control" name="first_name" id="first_name" placeholder="Prénom"
                       value="{{ user.first_name }}">
            </div>
            <div class="form-group">
                <label for="last_name">Nom</label>
                <input type="text" class="form-control" name="last_name" id="last_name" placeholder="Nom"
                       value="{{ user.last_name }}">
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control" name="email" id="email" placeholder="Email"
                       value="{{ user.email }}">
            </div>
            <div class="form-group">
                <label for="password">Mot de passe</label>
                <input type="password" class="form-control" name="password" id="password" placeholder="Mot de passe">
            </div>

            <button type="submit" class="btn btn-primary">Modifier mon profil</button>

        </form>
    </div>

    <h1 class="lead display-4 p-4">Vos projets
        {% load static %}
        <img src="{% static 'img/img.png' %}" width="50">
    </h1>
    <div class="card-group wrapper p-2" style="display: grid;grid-template-columns: repeat(3, 1fr); grid-gap: 10px;">
        {% for project in projects %}
            <div class="card pa-3" style="border: 2px solid lightgray; border-radius: 12px">
                <div class="card-body">
                    <h5 class="card-title">{{ project.titre }}</h5>
                    <p><strong>Etat :</strong> {{ project.etat }}</p>
                    <p><strong>Karma :</strong> {{ project.karma }}</p>
                    <p class="card-text">{% autoescape off %}{{ project.description }}{% endautoescape %}</p>

                </div>
                <div class="card-footer bg-transparent border-0">
                    <div class="progress">
                        <div class="progress-bar bg-success" role="progressbar"
                             style="width:{{ project.montant|div:project.montantMax|mul:100 }}%"
                             aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                    <p>{{ project.montant }} / <strong>{{ project.montantMax }}€</strong></p>
                    {% if user.is_authenticated %}
                        <a href="/projects/{{ project.id }}" class="btn btn-success">Voir le projet</a>
                    {% endif %}
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}